package com.yanzuoguang.util.base;

import java.lang.reflect.Field;
import java.lang.reflect.Method;


/**
 * 字段对应的类型的信息，依赖于字段操作类
 * @author 颜佐光
 */
public class MethodField {
    /**
     * 名称
     */
    private String name;
    /**
     * 缩写名称
     */
    private String nameSimple;
    /**
     * 对应的字段
     */
    private Field field;
    /**
     * 对应的获取方法
     */
    private Method getMethod;
    /**
     * 对应的设置方法
     */
    private Method setMethod;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNameSimple() {
        return nameSimple;
    }

    public void setNameSimple(String nameSimple) {
        this.nameSimple = nameSimple;
    }

    public Field getField() {
        return field;
    }

    public void setField(Field field) {
        this.field = field;
    }

    public Method getGetMethod() {
        return getMethod;
    }

    public void setGetMethod(Method getMethod) {
        this.getMethod = getMethod;
    }

    public Method getSetMethod() {
        return setMethod;
    }

    public void setSetMethod(Method setMethod) {
        this.setMethod = setMethod;
    }
}
